"""Remove buildroot_diff table

Revision ID: 498aaa82048d
Revises: 251fb2eae735
Create Date: 2014-09-25 14:00:46.645755

"""

# revision identifiers, used by Alembic.
revision = '498aaa82048d'
down_revision = '251fb2eae735'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table(u'buildroot_diff')
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table(u'buildroot_diff',
    sa.Column(u'id', sa.INTEGER(), server_default="nextval('buildroot_diff_id_seq'::regclass)", nullable=False),
    sa.Column(u'prev_build_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column(u'curr_build_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column(u'arch', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column(u'added', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column(u'removed', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['curr_build_id'], [u'build.id'], name=u'buildroot_diff_curr_build_id_fkey'),
    sa.ForeignKeyConstraint(['prev_build_id'], [u'build.id'], name=u'buildroot_diff_prev_build_id_fkey'),
    sa.PrimaryKeyConstraint(u'id', name=u'buildroot_diff_pkey')
    )
    ### end Alembic commands ###
